## qterm 0.5.4

=== CMakeLists.txt ===
project(qterm)
cmake_minimum_required(VERSION 2.4.6 FATAL_ERROR)
set(QTERM_VERSION_MAJOR 0)
set(QTERM_VERSION_MINOR 5)
set(QTERM_VERSION_RELEASE 4)
set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
find_package(Qt4 REQUIRED)
find_package(KDE4)
add_subdirectory(src)
set(QTERM_BINDIR "${CMAKE_INSTALL_PREFIX}/bin")
set(QTERM_DATADIR "${CMAKE_INSTALL_PREFIX}/share/qterm")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== src/CMakeLists.txt ===
set(optionalLibs)
set(optionalSources)
set(win32Libs libwsock32.a)
option(QTERM_ENABLE_SSH "Build SSH Support" ON)
option(QTERM_ENABLE_DBUS "Build DBus Support" ON)
option(QTERM_ENABLE_PHONON "Build Phonon Support" ON)
option(QTERM_ENABLE_TEST "Build the tests")
if(QTERM_ENABLE_SSH)
   find_package(OpenSSLCrypto)
   if(OPENSSL_CRYPTO_FOUND)
      message(STATUS "OpenSSL found, enable SSH support")
      add_definitions(-DSSH_ENABLED)
      include_directories(${OPENSSL_CRYPTO_INCLUDE_DIR})
      set(optionalLibs ${optionalLibs} ${OPENSSL_CRYPTO_LIBRARIES})
      set(optionalSources ${optionalSources}
      ssh/auth.cpp
      ssh/channel.cpp
      ssh/crc32.cpp
      ssh/kex.cpp
      ssh/packet.cpp
      ssh/socket.cpp
      ssh/transport.cpp)
   endif(OPENSSL_CRYPTO_FOUND)
endif(QTERM_ENABLE_SSH)
if(QTERM_ENABLE_DBUS)
   if(QT_QTDBUS_FOUND)
      message(STATUS "QtDBus module found, enable DBus support")
      add_definitions(-DDBUS_ENABLED)
      include_directories(${QT_QTDBUS_INCLUDE_DIR})
      set(optionalLibs ${optionalLibs} ${QT_QTDBUS_LIBRARY})
      set(optionalSources ${optionalSources} dbus.cpp)
   endif(QT_QTDBUS_FOUND)
endif(QTERM_ENABLE_DBUS)
if(QTERM_ENABLE_PHONON)
   if(QT_PHONON_FOUND)
      message(STATUS "Qt Phonon module found, enable Phonon support")
      add_definitions(-DPHONON_ENABLED)
      include_directories(${QT_PHONON_INCLUDE_DIR})
      set(optionalLibs ${optionalLibs} ${QT_PHONON_LIBRARY})
   else(QT_PHONON_FOUND)
      # Looking for KDE4, it is quite impossible that some system can have
      # Phonon without KDE4
      if(PHONON_FOUND)
         message(STATUS "KDE Phonon module found, enable Phonon support")
         add_definitions(-DPHONON_ENABLED)
         include_directories(${KDE4_INCLUDES})
         set(optionalLibs ${optionalLibs} ${KDE4_PHONON_LIBRARY})
      endif(PHONON_FOUND)
   endif(QT_PHONON_FOUND)
endif(QTERM_ENABLE_PHONON)
set(qterm_SRCS
   ui_aboutdialog.h
   ui_addrdialog.h
   ui_articledialog.h
   ui_imageviewer.h
   ui_keydialog.h
   ui_msgdialog.h
   ui_prefdialog.h
   ui_quickdialog.h
   ui_schemadialog.h
   ui_soundconf.h
   ui_sshlogin.h
   ui_shortcutsdialog.h
   ui_toolbardialog.h
   ui_zmodemdialog.h
   aboutdialog.cpp
   addrdialog.cpp
   articledialog.cpp
   imageviewer.cpp
   keydialog.cpp
   main.cpp
   msgdialog.cpp
   osdmessage.cpp
   overlayWidget.cpp
   popupMessage.cpp
   popwidget.cpp
   prefdialog.cpp
   progressBar.cpp
   qtermbbs.cpp
   qtermbuffer.cpp
   qtermcanvas.cpp
   qtermconfig.cpp
   qtermconvert.cpp
   qtermdecode.cpp
   qtermframe.cpp
   qtermhttp.cpp
   qtermiplocation.cpp
   qtermparam.cpp
   qtermscreen.cpp
   qtermsocket.cpp
   qtermsound.cpp
   qtermtelnet.cpp
   qtermtextline.cpp
   qtermtoolbutton.cpp
   qtermwindow.cpp
   qtermwndmgr.cpp
   qtermzmodem.cpp
   qtermglobal.cpp
   quickdialog.cpp
   schemadialog.cpp
   shortcutsdialog.cpp
   statusBar.cpp
   toolbardialog.cpp
   zmodemdialog.cpp
   hostinfo.cpp
   termstring.cpp
   ${optionalSources})
set(qterm_UIS
   ui/aboutdialog.ui
   ui/addrdialog.ui
   ui/articledialog.ui
   ui/imageviewer.ui
   ui/keydialog.ui
   ui/msgdialog.ui
   ui/prefdialog.ui
   ui/quickdialog.ui
   ui/schemadialog.ui
   ui/shortcutsdialog.ui
   ui/soundconf.ui
   ui/sshlogin.ui
   ui/toolbardialog.ui
   ui/zmodemdialog.ui)
set(qterm_MISC
   address.cfg
   credits
   qterm.cfg)
if(WIN32)
  if(MINGW)
    # resource compilation for mingw
    ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/qterm_rc.o
                       COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}
                                           -i${CMAKE_CURRENT_SOURCE_DIR}/qterm.rc
                                           -o ${CMAKE_CURRENT_BINARY_DIR}/qterm_rc.o)
    SET(qterm_SRCS ${qterm_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/qterm_rc.o)
  else(MINGW)
    SET(qterm_SRCS ${qterm_SRCS} qterm.rc)
  endif(MINGW)
endif(WIN32)
qt4_wrap_ui(qterm_UIS_H ${qterm_UIS})
qt4_automoc(${qterm_SRCS})
add_definitions( -Wall -DHAVE_CONFIG_H )
if(WIN32 AND MINGW)
   set(CMAKE_CXX_FLAGS -mwindows)
endif(WIN32 AND MINGW)
include_directories(
   ${QT_INCLUDE_DIR}
   ${QT_QTCORE_INCLUDE_DIR}
   ${QT_QTGUI_INCLUDE_DIR}
   ${QT_QTNETWORK_INCLUDE_DIR}
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR})
add_executable(qterm ${qterm_SRCS})
target_link_libraries(qterm
   ${QT_LIBRARIES}
   ${QT_QTCORE_LIBRARY}
   ${QT_QTGUI_LIBRARY}
   ${QT_QTNETWORK_LIBRARY}
   ${optionalLibs})
if(WIN32 AND MINGW)
   target_link_libraries(qterm ${win32Libs})
endif(WIN32 AND MINGW)
install(TARGETS qterm DESTINATION bin)
install(FILES ${qterm_MISC} DESTINATION share/qterm)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qterm.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/qterm.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qterm.desktop DESTINATION share/applications)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qterm.png DESTINATION share/icons)
add_subdirectory(pic)
add_subdirectory(cursor)
add_subdirectory(schema)
if(QTERM_ENABLE_TEST)
   add_subdirectory(test)
endif(QTERM_ENABLE_TEST)

=== src/schema/CMakeLists.txt ===
file(GLOB schemaFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.schema")
install(FILES ${schemaFiles} DESTINATION share/qterm/schema)

## qterm 0.5.7

=== CMakeLists.txt ===
project(qterm)
cmake_minimum_required(VERSION 2.4.6 FATAL_ERROR)
set(QTERM_VERSION_MAJOR 0)
set(QTERM_VERSION_MINOR 5)
set(QTERM_VERSION_RELEASE 7)
set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
find_package(Qt4 REQUIRED)
find_package(KDE4)
add_subdirectory(src)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,16 @@
 set(optionalLibs)
 set(optionalSources)
-set(win32Libs libwsock32.a)
 option(QTERM_ENABLE_SSH "Build SSH Support" ON)
 option(QTERM_ENABLE_DBUS "Build DBus Support" ON)
+option(QTERM_ENABLE_SCRIPT "Build Script Support" ON)
 option(QTERM_ENABLE_PHONON "Build Phonon Support" ON)
+option(QTERM_OLD_PHONON "Hack for Outdated Phonon Library" OFF)
 option(QTERM_ENABLE_TEST "Build the tests")
+option(QTERM_ENABLE_SCRIPT_DEBUGGER "Build ScriptDebugger Support")
+if(QT_VERSION_MINOR LESS 5)
+   message(STATUS "Script support will be disabled because you have an old version of Qt, consider update to Qt 4.5 at least.")
+   set(QTERM_ENABLE_SCRIPT OFF)
+endif(QT_VERSION_MINOR LESS 5)
 if(QTERM_ENABLE_SSH)
    find_package(OpenSSLCrypto)
    if(OPENSSL_CRYPTO_FOUND)
@@ -29,14 +35,43 @@
       include_directories(${QT_QTDBUS_INCLUDE_DIR})
       set(optionalLibs ${optionalLibs} ${QT_QTDBUS_LIBRARY})
       set(optionalSources ${optionalSources} dbus.cpp)
+      find_file(KWALLET_XML org.kde.KWallet.xml ${KDE4_DBUS_INTERFACES_DIR} ${DBUS_INTERFACES_INSTALL_DIR})
+      if(KWALLET_XML)
+         message(STATUS "KWallet found, enable KWallet support")
+         add_definitions(-DKWALLET_ENABLED)
+         qt4_add_dbus_interface(optionalSources ${KWALLET_XML} kwallet_interface )
+         set(optionalSources ${optionalSources} wallet.cpp)
+      endif(KWALLET_XML)
    endif(QT_QTDBUS_FOUND)
 endif(QTERM_ENABLE_DBUS)
+if(QTERM_ENABLE_SCRIPT)
+   if(QT_QTSCRIPT_FOUND)
+      message(STATUS "QtScript module found, enable Script support")
+      add_definitions(-DSCRIPT_ENABLED)
+      include_directories(${QT_QTSCRIPT_INCLUDE_DIR})
+      set(optionalLibs ${optionalLibs} ${QT_QTSCRIPT_LIBRARY})
+      set(optionalSources ${optionalSources} scripthelper.cpp)
+      if(QTERM_ENABLE_SCRIPT_DEBUGGER)
+         if(QT_QTSCRIPTTOOLS_FOUND)
+            message(STATUS "QtScriptTools module found, enable Debugger support")
+            add_definitions(-DSCRIPTTOOLS_ENABLED)
+            include_directories(${QT_QTSCRIPTTOOLS_INCLUDE_DIR})
+            set(optionalLibs ${optionalLibs} ${QT_QTSCRIPTTOOLS_LIBRARY})
+         else(QT_QTSCRIPTTOOLS_FOUND)
+            message(STATUS "QtScriptTools module not found, make sure your Qt is higher than 4.5")
+         endif(QT_QTSCRIPTTOOLS_FOUND)
+      endif(QTERM_ENABLE_SCRIPT_DEBUGGER)
+   endif(QT_QTSCRIPT_FOUND)
+endif(QTERM_ENABLE_SCRIPT)
 if(QTERM_ENABLE_PHONON)
    if(QT_PHONON_FOUND)
       message(STATUS "Qt Phonon module found, enable Phonon support")
       add_definitions(-DPHONON_ENABLED)
       include_directories(${QT_PHONON_INCLUDE_DIR})
       set(optionalLibs ${optionalLibs} ${QT_PHONON_LIBRARY})
+      if(QTERM_OLD_PHONON OR QT_VERSION_MINOR LESS 5)
+         add_definitions(-DOLD_PHONON)
+      endif(QTERM_OLD_PHONON OR QT_VERSION_MINOR LESS 5)
    else(QT_PHONON_FOUND)
       # Looking for KDE4, it is quite impossible that some system can have
       # Phonon without KDE4
@@ -57,7 +92,7 @@
    ui_msgdialog.h
    ui_prefdialog.h
    ui_quickdialog.h
-   ui_schemadialog.h
+   ui_schemedialog.h
    ui_soundconf.h
    ui_sshlogin.h
    ui_shortcutsdialog.h
@@ -97,7 +132,7 @@
    qtermzmodem.cpp
    qtermglobal.cpp
    quickdialog.cpp
-   schemadialog.cpp
+   schemedialog.cpp
    shortcutsdialog.cpp
    statusBar.cpp
    toolbardialog.cpp
@@ -114,7 +149,7 @@
    ui/msgdialog.ui
    ui/prefdialog.ui
    ui/quickdialog.ui
-   ui/schemadialog.ui
+   ui/schemedialog.ui
    ui/shortcutsdialog.ui
    ui/soundconf.ui
    ui/sshlogin.ui
@@ -135,13 +170,14 @@
   else(MINGW)
     SET(qterm_SRCS ${qterm_SRCS} qterm.rc)
   endif(MINGW)
+  find_library(WIN32_WS2_LIBRARY NAMES ws2_32)
+  if(WIN32_WS2_LIBRARY)
+    set(optionalLibs ${optionalLibs} ${WIN32_WS2_LIBRARY})
+  endif(WIN32_WS2_LIBRARY)
 endif(WIN32)
 qt4_wrap_ui(qterm_UIS_H ${qterm_UIS})
 qt4_automoc(${qterm_SRCS})
-add_definitions( -Wall -DHAVE_CONFIG_H )
-if(WIN32 AND MINGW)
-   set(CMAKE_CXX_FLAGS -mwindows)
-endif(WIN32 AND MINGW)
+add_definitions( -DHAVE_CONFIG_H )
 include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
@@ -151,7 +187,11 @@
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR})
-add_executable(qterm ${qterm_SRCS})
+if(WIN32)
+   add_executable(qterm WIN32 ${qterm_SRCS})
+else(WIN32)
+   add_executable(qterm ${qterm_SRCS})
+endif(WIN32)
 target_link_libraries(qterm
    ${QT_LIBRARIES}
    ${QT_QTCORE_LIBRARY}
@@ -168,7 +208,10 @@
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qterm.png DESTINATION share/icons)
 add_subdirectory(pic)
 add_subdirectory(cursor)
-add_subdirectory(schema)
+add_subdirectory(scheme)
+add_subdirectory(scripts)
+add_subdirectory(po)
+add_dependencies(qterm translations_target)
 if(QTERM_ENABLE_TEST)
    add_subdirectory(test)
 endif(QTERM_ENABLE_TEST)

=== src/scripts/CMakeLists.txt ===
file(GLOB scriptFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.js")
install(FILES ${scriptFiles} DESTINATION share/qterm/scripts)

=== src/test/global/CMakeLists.txt ===
set(global_SRCS
   testglobal.cpp
   ../../qtermconfig.cpp
   ../../qtermglobal.cpp)
qt4_automoc(${global_SRCS})

include_directories(
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTTEST_INCLUDE_DIR}
${CMAKE_SOURCE_DIR}
${CMAKE_BINARY_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${CMAKE_CURRENT_SOURCE_DIR})

add_executable(testglobal ${global_SRCS})

target_link_libraries(testglobal
${QT_LIBRARIES}
${QT_QTCORE_LIBRARY}
${QT_QTGUI_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_QTTEST_LIBRARY}
)

add_test(global ${EXEC_DIR}/testglobal)

=== src/test/ssh/CMakeLists.txt ===
set(ssh_SRCS
   ../../ssh/auth.cpp
   ../../ssh/channel.cpp
   ../../ssh/crc32.cpp
   ../../ssh/kex.cpp
   ../../ssh/packet.cpp
   ../../ssh/socket.cpp
   ../../ssh/transport.cpp
   ../../qtermsocket.cpp
   ../../hostinfo.cpp
   testssh.cpp)
qt4_automoc(${ssh_SRCS})

include_directories(
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTGUI_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_QTTEST_INCLUDE_DIR}
${CMAKE_SOURCE_DIR}
${CMAKE_BINARY_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${CMAKE_CURRENT_SOURCE_DIR})

add_executable(testssh ${ssh_SRCS})

target_link_libraries(testssh
${QT_LIBRARIES}
${QT_QTCORE_LIBRARY}
${QT_QTGUI_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_QTTEST_LIBRARY}
${OPENSSL_LIBRARIES}
)

add_test(ssh ${EXEC_DIR}/testssh)

## qterm 0.5.8

=== CMakeLists.txt ===
project(qterm)
cmake_minimum_required(VERSION 2.4.6 FATAL_ERROR)
set(QT_MIN_VERSION "4.5.0")
set(QTERM_VERSION_MAJOR 0)
set(QTERM_VERSION_MINOR 5)
set(QTERM_VERSION_RELEASE 8)
set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
find_package(Qt4 REQUIRED)
find_package(KDE4)
add_subdirectory(src)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,23 @@
 option(QTERM_OLD_PHONON "Hack for Outdated Phonon Library" OFF)
 option(QTERM_ENABLE_TEST "Build the tests")
 option(QTERM_ENABLE_SCRIPT_DEBUGGER "Build ScriptDebugger Support")
-if(QT_VERSION_MINOR LESS 5)
-   message(STATUS "Script support will be disabled because you have an old version of Qt, consider update to Qt 4.5 at least.")
-   set(QTERM_ENABLE_SCRIPT OFF)
-endif(QT_VERSION_MINOR LESS 5)
+
+include(CheckFunctionExists)
+include(CheckLibraryExists)
+
+check_function_exists("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
+if(NOT CMAKE_HAVE_GETHOSTBYNAME)
+  check_library_exists("nsl" "gethostbyname" "" CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
+  if(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
+    set(optionalLibs ${optionalLibs} -lnsl)
+  else(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
+    check_library_exists("bsd" "gethostbyname" "" CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
+    if(CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
+      set(optionalLibs ${optionalLibs} -lbsd)
+    endif(CMAKE_LIB_BSD_HAS_GETHOSTBYNAME)
+  endif(CMAKE_LIB_NSL_HAS_GETHOSTBYNAME)
+endif(NOT CMAKE_HAVE_GETHOSTBYNAME)
+
 if(QTERM_ENABLE_SSH)
    find_package(OpenSSLCrypto)
    if(OPENSSL_CRYPTO_FOUND)
@@ -58,7 +71,7 @@
             include_directories(${QT_QTSCRIPTTOOLS_INCLUDE_DIR})
             set(optionalLibs ${optionalLibs} ${QT_QTSCRIPTTOOLS_LIBRARY})
          else(QT_QTSCRIPTTOOLS_FOUND)
-            message(STATUS "QtScriptTools module not found, make sure your Qt is higher than 4.5")
+            message(STATUS "QtScriptTools module not found, at least CMake 2.8 is needed to support it")
          endif(QT_QTSCRIPTTOOLS_FOUND)
       endif(QTERM_ENABLE_SCRIPT_DEBUGGER)
    endif(QT_QTSCRIPT_FOUND)
@@ -139,6 +152,7 @@
    zmodemdialog.cpp
    hostinfo.cpp
    termstring.cpp
+   keyboardtranslator.cpp
    ${optionalSources})
 set(qterm_UIS
    ui/aboutdialog.ui
@@ -211,6 +225,7 @@
 add_subdirectory(scheme)
 add_subdirectory(scripts)
 add_subdirectory(po)
+add_subdirectory(keyboard_profiles)
 add_dependencies(qterm translations_target)
 if(QTERM_ENABLE_TEST)
    add_subdirectory(test)

=== debian/changelog ===
qterm (1:0.5.8-1) unstable; urgency=low

  * new upstream release.
  * change debian format to 3.0 (quilt).
  * debian/control: bump standards version to 3.8.3.
  * remove depends on dpatch:
    - update debian/control and debian/rules
    - remove debian/patches dir.

 -- LI Daobing <lidaobing@debian.org>  Wed, 16 Dec 2009 21:36:46 +0800

qterm (1:0.5.7-1) unstable; urgency=low

  * new upstream release.
  * debian/control: 
    - bump standards version to 3.8.2.

 -- LI Daobing <lidaobing@debian.org>  Thu, 02 Jul 2009 18:49:35 +0800

qterm (1:0.5.6+1-1) unstable; urgency=low

  * new upstream release.
    - the upstream release 0.5.6 again for SF#2802669, but does not change
      the version number.

 -- LI Daobing <lidaobing@debian.org>  Mon, 08 Jun 2009 20:58:19 +0800

qterm (1:0.5.6-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Mon, 08 Jun 2009 07:22:50 +0800

qterm (1:0.5.5-1) unstable; urgency=low

  * new upstream release.
    - fix recognition of long URLs (LP: #317443)
    - fix copy problem of the last character (LP: #351613)
  * debian/control: 
    - change maintainer email.
    - bump standards version to 3.8.1.

 -- LI Daobing <lidaobing@debian.org>  Sat, 02 May 2009 22:33:15 +0800

qterm (1:0.5.4-2) unstable; urgency=low

  * debian/qterm.links: add a soft link for the icon (Closes: #517157)

 -- LI Daobing <lidaobing@gmail.com>  Thu, 26 Feb 2009 13:16:31 +0800

qterm (1:0.5.4-1) unstable; urgency=low

  * new upstream release.
    - no longer crash under QT4.5 (LP: #332177) 
  * debian/patches/08_desktop.dpatch: merged by upstream, removed.
  * debian/patches/00list: updated.

 -- LI Daobing <lidaobing@gmail.com>  Wed, 25 Feb 2009 12:04:40 +0800

qterm (1:0.5.3-2) unstable; urgency=low

  * FTBFS with GCC 4.4: missing #include (Closes: #510670)
    - debian/patches/07_gcc-4.3.dpatch: rename tp 07_gcc-4.4.dpatch
    - debian/patches/07_gcc-4.4.dpatch: updated
    - debian/patches/00list: updated
  * install desktop and icon (LP: #312932)
    - debian/patches/08_desktop.dpatch: added
    - debian/patches/00list: updated
  * debian/control: add ${misc:Depends} to depends, fix
    debhelper-but-no-misc-depends 

 -- LI Daobing <lidaobing@gmail.com>  Sun, 04 Jan 2009 19:12:58 +0800

qterm (1:0.5.3-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@gmail.com>  Fri, 28 Nov 2008 19:22:01 +0800

qterm (1:0.5.2-1) experimental; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.0, no changing needed.
  * FTBFS in gcc-4.3
    - debian/control: rebuild depends on dpatch
    - debian/rules: add dpatch support
    - debian/patches/00list: added
    - debian/patches/07_gcc-4.3.dpatch: fix FTBFS in gcc-4.3

 -- LI Daobing <lidaobing@gmail.com>  Sun, 21 Sep 2008 22:16:32 +0800

qterm (1:0.5.1-1) unstable; urgency=low

  * new upstream release
    - debian/control: this version support ssh2 protocol, update description.

 -- LI Daobing <lidaobing@gmail.com>  Tue, 04 Mar 2008 18:45:09 +0800

qterm (1:0.5.0-1) unstable; urgency=low

  * new upstream release
    - debian/control: don't build depends on dpatch.
    - debian/patches/06_desktop.dpatch: removed.
    - debian/patches/00list: removed.
    - debian/qterm.docs: removed.
    - debian/rules: remove dpatch part.
  * build with qt4 and cmake:
    - debian/control: updated, build depends on cdbs >= 0.4.51.
    - debian/rules: updated.

 -- LI Daobing <lidaobing@gmail.com>  Sun, 02 Mar 2008 18:33:17 +0800

qterm (1:0.4.1-1) unstable; urgency=low

  * new upstream release
    - deleted: debian/patches/04_make-isIllChar-more-strict.dpatch
    - deleted: debian/patches/05_distinguish-URL-spans-over-many-rows.dpatch
    - debian/rules: remove the common-install-impl part.
  * debian/watch: updated.
  * debian/patches/00list: updated.
  * debian/control: bump standards version to 3.7.3, no changing needed.
  * debian/copyright: clear license issue.
  * debian/qterm.1: clear confused part, Thanks Bas Wijnen.
  * debian/control: bump compat level from 5 to 6.
  * debian/compat: ditto.
  * Don't build depends on ancient libqt3-compat-headers (Closes: #464807)

 -- LI Daobing <lidaobing@gmail.com>  Sat, 09 Feb 2008 11:45:16 +0800

qterm (1:0.4.0-6) unstable; urgency=low

  * control: s/Home Page/Homepage/
  * compat: 4 -> 5
    - control: depends on debhelper >= 5
  * patches/04_make-isIllChar-more-strict.dpatch: added.
  * patches/05_distinguish-URL-spans-over-many-rows.dpatch: added.
  * patches/06_desktop.dpatch: added.
  * patches/00list: updated.
  * qterm.menu: menu transition.

 -- LI Daobing <lidaobing@gmail.com>  Tue, 09 Oct 2007 22:18:35 +0000

qterm (1:0.4.0-5) unstable; urgency=low

  * rename docs -> qterm.docs
  * add qterm.manpages
    - update rules
  * add qterm.install
    - udpate rules
    - remove dirs
  * rename menu -> qterm.menu
  * hurd-i386 now has libarts1-dev (Closes: #434434)
    - update control.

 -- LI Daobing <lidaobing@gmail.com>  Thu, 26 Jul 2007 00:12:08 +0800

qterm (1:0.4.0-4) unstable; urgency=low

  * fix FTBFS on hurd-i386, Thanks Cyril Brulebois (closes: #391300)

 -- LI Daobing <lidaobing@gmail.com>  Fri,  6 Oct 2006 07:38:46 +0800

qterm (1:0.4.0-3) unstable; urgency=low

  * rules:
    - rewrite the ts->pm script
    - clean: add 'rm -f subdirs'
  * control: add XS-Python-Version XB-Python-Version (closes: #380925)

 -- LI Daobing <lidaobing@gmail.com>  Wed,  9 Aug 2006 16:46:09 +0800

qterm (1:0.4.0-2) unstable; urgency=low

  * set ygh as the uploader.
  * debian/control: depends on python-dev instead of python2.3-dev
  * ship qterm.1 directly, does not build depends on docbook tools
  * debian/rules: do not clean desktop file
  * debian/rules: regeneate pm file from ts

 -- LI Daobing <lidaobing@gmail.com>  Wed, 12 Jul 2006 20:45:28 +0800

qterm (1:0.4.0-1) unstable; urgency=low

  * new upstream release
    - delete patches/03-icon.dpatch



=== debian/control ===
Source: qterm
Section: x11
Priority: optional
Maintainer: LI Daobing <lidaobing@debian.org>
Uploaders: Yu Guanghui <ygh@debian.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 6),
 cmake (>= 2.4.2), libqt4-dev, libssl-dev
Standards-Version: 3.8.3
XS-Python-Version: current
Vcs-Browser: http://git.debian.org/?p=chinese/qterm.git
Vcs-Git: git://git.debian.org/git/chinese/qterm.git
Homepage: http://qterm.sourceforge.net/

Package: qterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BBS client for X Window System written in Qt
 QTerm is a BBS client for X Window System. It supports telnet, ssh1 and ssh2
 protocols. It also supports zmodem, URL detect, mouse action.
 .
 It also supports detecting location from ip address, but you need do some
 extra work, see README.Debian.

## qterm 0.5.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,16 @@
 project(qterm)
-cmake_minimum_required(VERSION 2.4.6 FATAL_ERROR)
+include(CTest)
+cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)
 set(QT_MIN_VERSION "4.5.0")
 set(QTERM_VERSION_MAJOR 0)
 set(QTERM_VERSION_MINOR 5)
-set(QTERM_VERSION_RELEASE 8)
+set(QTERM_VERSION_RELEASE 11)
 set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 find_package(Qt4 REQUIRED)
 find_package(KDE4)
 add_subdirectory(src)
+add_subdirectory(icons)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 configure_file(

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -47,7 +47,9 @@
       add_definitions(-DDBUS_ENABLED)
       include_directories(${QT_QTDBUS_INCLUDE_DIR})
       set(optionalLibs ${optionalLibs} ${QT_QTDBUS_LIBRARY})
-      set(optionalSources ${optionalSources} dbus.cpp)
+      set(optionalSources ${optionalSources}
+      imageconverter.cpp
+      dbus.cpp)
       find_file(KWALLET_XML org.kde.KWallet.xml ${KDE4_DBUS_INTERFACES_DIR} ${DBUS_INTERFACES_INSTALL_DIR})
       if(KWALLET_XML)
          message(STATUS "KWallet found, enable KWallet support")
@@ -60,6 +62,7 @@
 if(QTERM_ENABLE_SCRIPT)
    if(QT_QTSCRIPT_FOUND)
       message(STATUS "QtScript module found, enable Script support")
+      find_package(QtScriptQtBindings)
       add_definitions(-DSCRIPT_ENABLED)
       include_directories(${QT_QTSCRIPT_INCLUDE_DIR})
       set(optionalLibs ${optionalLibs} ${QT_QTSCRIPT_LIBRARY})
@@ -111,10 +114,12 @@
    ui_shortcutsdialog.h
    ui_toolbardialog.h
    ui_zmodemdialog.h
+   ui_closedialog.h
    aboutdialog.cpp
    addrdialog.cpp
    articledialog.cpp
    imageviewer.cpp
+   imagelistviewer.cpp
    keydialog.cpp
    main.cpp
    msgdialog.cpp
@@ -153,6 +158,8 @@
    hostinfo.cpp
    termstring.cpp
    keyboardtranslator.cpp
+   closedialog.cpp
+   uaocodec.cpp
    ${optionalSources})
 set(qterm_UIS
    ui/aboutdialog.ui
@@ -168,6 +175,7 @@
    ui/soundconf.ui
    ui/sshlogin.ui
    ui/toolbardialog.ui
+   ui/closedialog.ui
    ui/zmodemdialog.ui)
 set(qterm_MISC
    address.cfg
@@ -217,9 +225,7 @@
 endif(WIN32 AND MINGW)
 install(TARGETS qterm DESTINATION bin)
 install(FILES ${qterm_MISC} DESTINATION share/qterm)
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qterm.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/qterm.desktop)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qterm.desktop DESTINATION share/applications)
-install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qterm.png DESTINATION share/icons)
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qterm.desktop DESTINATION share/applications)
 add_subdirectory(pic)
 add_subdirectory(cursor)
 add_subdirectory(scheme)

=== src/keyboard_profiles/CMakeLists.txt ===
file(GLOB cursorFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.keytab")
install(FILES ${cursorFiles} DESTINATION share/qterm/keyboard_profiles)

=== src/scheme/CMakeLists.txt ===
file(GLOB schemeFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.scheme")
install(FILES ${schemeFiles} DESTINATION share/qterm/scheme)

=== src/scripts/CMakeLists.txt ===
file(GLOB scriptFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.js")
install(FILES ${scriptFiles} DESTINATION share/qterm/scripts)
add_subdirectory(ui)

=== src/test/CMakeLists.txt ===
enable_testing()
add_subdirectory(config)
add_subdirectory(global)
add_subdirectory(hostinfo)
add_subdirectory(ssh)

=== src/scripts/ui/CMakeLists.txt ===
file(GLOB scriptFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.ui")
install(FILES ${scriptFiles} DESTINATION share/qterm/scripts/ui)

=== src/test/global/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 set(global_SRCS
    testglobal.cpp
    ../../qtermconfig.cpp
-   ../../qtermglobal.cpp)
+   ../../qtermglobal.cpp
+   ../../qtermconvert.cpp)
 qt4_automoc(${global_SRCS})
 
 include_directories(

=== debian/changelog ===
qterm (1:0.5.11-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sat, 19 Jun 2010 19:23:30 +0800

qterm (1:0.5.10-1) unstable; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.4.

 -- LI Daobing <lidaobing@debian.org>  Sun, 14 Feb 2010 16:22:04 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Yu Guanghui <ygh@debian.org>
 Build-Depends: cdbs (>= 0.4.51), debhelper (>= 6),
  cmake (>= 2.4.2), libqt4-dev, libssl-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 XS-Python-Version: current
 Vcs-Browser: http://git.debian.org/?p=chinese/qterm.git
 Vcs-Git: git://git.debian.org/git/chinese/qterm.git

## qterm 0.5.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,21 @@
 set(QT_MIN_VERSION "4.5.0")
 set(QTERM_VERSION_MAJOR 0)
 set(QTERM_VERSION_MINOR 5)
-set(QTERM_VERSION_RELEASE 11)
+set(QTERM_VERSION_RELEASE 12)
 set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 find_package(Qt4 REQUIRED)
 find_package(KDE4)
+
+IF(WIN32 AND MSVC)
+    ADD_DEFINITIONS (/D _CRT_SECURE_NO_WARNINGS)
+ENDIF(WIN32 AND MSVC)
+
 add_subdirectory(src)
 add_subdirectory(icons)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+
+include("package.cmake")
 
 configure_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"

=== icons/CMakeLists.txt ===
macro(qterm_install_icons _theme)

   file(GLOB _icons *.png)
   file(GLOB _svg *svgz)
   set(_icons ${_icons} ${_svg})
   foreach(_current_ICON ${_icons} )
      get_filename_component(_ctype ${_current_ICON} EXT)

      if (${_ctype} STREQUAL ".png")
         string(REGEX REPLACE "^.*/[a-zA-Z]+([0-9]+)\\-([a-z]+)\\-(.+\\.png)$" "\\1" _size "${_current_ICON}")
         string(REGEX REPLACE "^.*/[a-zA-Z]+([0-9]+)\\-([a-z]+)\\-(.+\\.png)$" "\\2" _group "${_current_ICON}")
         string(REGEX REPLACE "^.*/[a-zA-Z]+([0-9]+)\\-([a-z]+)\\-(.+\\.png)$" "\\3" _name "${_current_ICON}")
         set(_sizestring "${_size}x${_size}")
      endif (${_ctype} STREQUAL ".png")

      if (${_ctype} STREQUAL ".svgz")
         string(REGEX REPLACE "^.*/[a-zA-Z]+\\-([a-z]+)\\-(.+\\.svgz)$" "\\1" _group "${_current_ICON}")
         string(REGEX REPLACE "^.*/[a-zA-Z]+\\-([a-z]+)\\-(.+\\.svgz)$" "\\2" _name "${_current_ICON}")
         set(_sizestring "scalable")
      endif (${_ctype} STREQUAL ".svgz")

      set(_icon_GROUP "actions")

      if(${_group} STREQUAL "mime")
         set(_icon_GROUP  "mimetypes")
      endif(${_group} STREQUAL "mime")

      if(${_group} STREQUAL "filesys")
         set(_icon_GROUP  "filesystems")
      endif(${_group} STREQUAL "filesys")

      if(${_group} STREQUAL "device")
         set(_icon_GROUP  "devices")
      endif(${_group} STREQUAL "device")

      if(${_group} STREQUAL "app")
         set(_icon_GROUP  "apps")
      endif(${_group} STREQUAL "app")

      if(${_group} STREQUAL "action")
         set(_icon_GROUP  "actions")
      endif(${_group} STREQUAL "action")

      set(_ICON_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/icons/${_theme}/${_sizestring}/${_icon_GROUP})

      install(FILES ${_current_ICON} DESTINATION ${_ICON_INSTALL_DIR} RENAME ${_name})

   endforeach (_current_ICON)
endmacro(qterm_install_icons)

qterm_install_icons(hicolor)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,12 @@
 
 include(CheckFunctionExists)
 include(CheckLibraryExists)
+
+if(UNIX)
+   find_package(X11)
+   set(optionalLibs ${optionalLibs} ${X11_X11_LIB})
+endif(UNIX)
+
 
 check_function_exists("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
 if(NOT CMAKE_HAVE_GETHOSTBYNAME)
@@ -105,6 +111,7 @@
    ui_articledialog.h
    ui_imageviewer.h
    ui_keydialog.h
+   ui_mainframe.h
    ui_msgdialog.h
    ui_prefdialog.h
    ui_quickdialog.h
@@ -115,9 +122,11 @@
    ui_toolbardialog.h
    ui_zmodemdialog.h
    ui_closedialog.h
+   ui_pallete.h
    aboutdialog.cpp
    addrdialog.cpp
    articledialog.cpp
+   assistantclient.cpp
    imageviewer.cpp
    imagelistviewer.cpp
    keydialog.cpp
@@ -146,7 +155,7 @@
    qtermtextline.cpp
    qtermtoolbutton.cpp
    qtermwindow.cpp
-   qtermwndmgr.cpp
+   qtermwindowbase.cpp
    qtermzmodem.cpp
    qtermglobal.cpp
    quickdialog.cpp
@@ -160,13 +169,19 @@
    keyboardtranslator.cpp
    closedialog.cpp
    uaocodec.cpp
+   dommodel.cpp
+   pallete.cpp
+   chartable.cpp
+   blur.cpp
    ${optionalSources})
 set(qterm_UIS
    ui/aboutdialog.ui
    ui/addrdialog.ui
    ui/articledialog.ui
+   ui/closedialog.ui
    ui/imageviewer.ui
    ui/keydialog.ui
+   ui/mainframe.ui
    ui/msgdialog.ui
    ui/prefdialog.ui
    ui/quickdialog.ui
@@ -175,12 +190,17 @@
    ui/soundconf.ui
    ui/sshlogin.ui
    ui/toolbardialog.ui
-   ui/closedialog.ui
-   ui/zmodemdialog.ui)
+   ui/zmodemdialog.ui
+   ui/pallete.ui)
 set(qterm_MISC
-   address.cfg
+   address.xml
    credits
    qterm.cfg)
+set(qterm_RCCS
+    qterm.qrc)
+
+file(COPY ${qterm_MISC} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+
 if(WIN32)
   if(MINGW)
     # resource compilation for mingw
@@ -197,6 +217,7 @@
     set(optionalLibs ${optionalLibs} ${WIN32_WS2_LIBRARY})
   endif(WIN32_WS2_LIBRARY)
 endif(WIN32)
+qt4_add_resources(qterm_RCCS_SRCS ${qterm_RCCS})
 qt4_wrap_ui(qterm_UIS_H ${qterm_UIS})
 qt4_automoc(${qterm_SRCS})
 add_definitions( -DHAVE_CONFIG_H )
@@ -210,15 +231,16 @@
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR})
 if(WIN32)
-   add_executable(qterm WIN32 ${qterm_SRCS})
+   add_executable(qterm WIN32 ${qterm_SRCS} ${qterm_RCCS_SRCS})
 else(WIN32)
-   add_executable(qterm ${qterm_SRCS})
+   add_executable(qterm ${qterm_SRCS} ${qterm_RCCS_SRCS})
 endif(WIN32)
 target_link_libraries(qterm
    ${QT_LIBRARIES}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
+   ${QT_QTXML_LIBRARY}
    ${optionalLibs})
 if(WIN32 AND MINGW)
    target_link_libraries(qterm ${win32Libs})
@@ -226,13 +248,12 @@
 install(TARGETS qterm DESTINATION bin)
 install(FILES ${qterm_MISC} DESTINATION share/qterm)
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qterm.desktop DESTINATION share/applications)
-add_subdirectory(pic)
-add_subdirectory(cursor)
 add_subdirectory(scheme)
 add_subdirectory(scripts)
 add_subdirectory(po)
 add_subdirectory(keyboard_profiles)
-add_dependencies(qterm translations_target)
+add_subdirectory(doc)
+add_dependencies(qterm translations_target help_target)
 if(QTERM_ENABLE_TEST)
    add_subdirectory(test)
 endif(QTERM_ENABLE_TEST)

=== cmake/bindingstest/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

find_package( Qt4 REQUIRED )

add_definitions(${QT_DEFINITIONS})
include_directories (${QT_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${QT_QTSCRIPT_INCLUDE_DIR})

add_executable (bindingstest QtScriptBindingsTest.cpp)
target_link_libraries(bindingstest ${QT_LIBRARY} ${QT_QTSCRIPT_LIBRARY})

=== src/cursor/CMakeLists.txt ===
file(GLOB cursorFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.xpm")
install(FILES ${cursorFiles} DESTINATION share/qterm/cursor)

=== src/doc/CMakeLists.txt ===
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/src/pic/qterm.png ${CMAKE_CURRENT_BINARY_DIR}/qterm.png COPYONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/qterm.qhp.in  ${CMAKE_CURRENT_BINARY_DIR}/qterm.qhp)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/index.html.in ${CMAKE_CURRENT_BINARY_DIR}/index.html)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Script.html ${CMAKE_CURRENT_BINARY_DIR}/Script.html COPYONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/about.txt ${CMAKE_CURRENT_BINARY_DIR}/about.txt COPYONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/doc.css ${CMAKE_CURRENT_BINARY_DIR}/doc.css COPYONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/qterm.qhcp ${CMAKE_CURRENT_BINARY_DIR}/qterm.qhcp COPYONLY)

FIND_PROGRAM(QT_HELP_COLLECTION_GENERATOR
  qcollectiongenerator
  PATHS "${QT_BINARY_DIR}"
  DOC "qcollectiongenerator used to compile Qt help collection project files")

ADD_CUSTOM_COMMAND(
  OUTPUT qterm.qhc
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/qterm.qhcp
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/qterm.qhp
  COMMAND ${QT_HELP_COLLECTION_GENERATOR}
  ARGS qterm.qhcp
      -o qterm.qhc
  COMMENT "Compiling Qt help collection project qterm.qhcp"
)

ADD_CUSTOM_TARGET(help_target
  DEPENDS qterm.qhc)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/qterm.qhc
    DESTINATION share/qterm/doc
)

=== src/keyboard_profiles/CMakeLists.txt ===
file(GLOB keyboardFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.keytab")
file(COPY ${keyboardFiles} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
install(FILES ${keyboardFiles} DESTINATION share/qterm/keyboard_profiles)

=== src/pic/CMakeLists.txt ===
file(GLOB picFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
install(FILES ${picFiles} DESTINATION share/qterm/pic)

=== src/po/CMakeLists.txt ===
file(GLOB TRANSLATIONS_FILES *.ts)
qt4_add_translation(QM_FILES ${TRANSLATIONS_FILES})
add_custom_target(translations_target DEPENDS ${QM_FILES})
install(FILES ${QM_FILES} DESTINATION share/qterm/po)

=== src/scheme/CMakeLists.txt ===
file(GLOB schemeFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.scheme")
file(COPY ${schemeFiles} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
install(FILES ${schemeFiles} DESTINATION share/qterm/scheme)

=== src/scripts/CMakeLists.txt ===
file(GLOB scriptFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.js")
file(COPY ${scriptFiles} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
install(FILES ${scriptFiles} DESTINATION share/qterm/scripts)
add_subdirectory(ui)

=== src/test/global/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,10 @@
    testglobal.cpp
    ../../qtermconfig.cpp
    ../../qtermglobal.cpp
+   ../../qtermparam.cpp
    ../../qtermconvert.cpp)
 qt4_automoc(${global_SRCS})
+remove_definitions(-DKWALLET_ENABLED)
 
 include_directories(
 ${QT_INCLUDE_DIR}
@@ -22,6 +24,7 @@
 ${QT_QTGUI_LIBRARY}
 ${QT_QTNETWORK_LIBRARY}
 ${QT_QTTEST_LIBRARY}
+${QT_QTXML_LIBRARY}
 )
 
 add_test(global ${EXEC_DIR}/testglobal)

=== debian/changelog ===
qterm (1:0.5.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch from Paul Tagliamonte (missing
    include).
    (Closes: #667343)

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 May 2012 14:20:47 +0200

qterm (1:0.5.12-1) unstable; urgency=low

  * new upstream release.
    - Fix "default keyboard profile does not handle 'End' key correctly"
      (Closes: #562188)
  * debian/control:
    - build depends on qt4-dev-tools, libqtscript4-qtbindings, libx11-dev.
    - bump standards version to 3.9.2.

 -- LI Daobing <lidaobing@debian.org>  Sun, 29 May 2011 00:11:28 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: LI Daobing <lidaobing@debian.org>
 Uploaders: Yu Guanghui <ygh@debian.org>
 Build-Depends: cdbs (>= 0.4.51), debhelper (>= 6),
- cmake (>= 2.4.2), libqt4-dev, libssl-dev
-Standards-Version: 3.8.4
+ cmake (>= 2.4.2), libqt4-dev, libssl-dev, qt4-dev-tools,
+ libqtscript4-qtbindings, libx11-dev
+Standards-Version: 3.9.2
 XS-Python-Version: current
 Vcs-Browser: http://git.debian.org/?p=chinese/qterm.git
 Vcs-Git: git://git.debian.org/git/chinese/qterm.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/qterm/qterm-([\d\.]+)\.tar\.bz2

## qterm 0.7.1

=== CMakeLists.txt ===
project(qterm)
include(CTest)
include(FeatureSummary)
cmake_minimum_required(VERSION 2.8.11 FATAL_ERROR)
set(QTERM_VERSION_MAJOR 0)
set(QTERM_VERSION_MINOR 7)
set(QTERM_VERSION_RELEASE 1)
set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

set(CMAKE_AUTOMOC ON)
IF(QT5)
    find_package(Qt5Core 5.3.0 REQUIRED)
    find_package(Qt5Gui 5.3.0 REQUIRED)
    find_package(Qt5Widgets 5.3.0 REQUIRED)
    find_package(Qt5Xml 5.3.0 REQUIRED)
    find_package(Qt5Network 5.3.0 REQUIRED)
    find_package(Qt5PrintSupport 5.3.0 REQUIRED)
    find_package(Qt5LinguistTools 5.3.0 REQUIRED)
    find_package(Qt5Help 5.3.0 REQUIRED)
    find_package(Qt5Script 5.3.0)
    find_package(Qt5ScriptTools 5.3.0)
    find_package(Qt5Multimedia 5.3.0)
    IF(NOT QT_BINARY_DIR)
        exec_program(${_qt5Core_install_prefix}/bin/qmake ARGS "-query QT_INSTALL_BINS"
            OUTPUT_VARIABLE QT_BINARY_DIR)
    ENDIF()
ELSE(QT5)
    find_package(Qt4 4.5.0 REQUIRED)
    find_package(KDE4)
ENDIF(QT5)

IF(WIN32 AND MSVC)
    ADD_DEFINITIONS (/D _CRT_SECURE_NO_WARNINGS)
ENDIF(WIN32 AND MSVC)

IF(APPLE)
   SET (PROGRAME QTerm)
   SET (MACOSX_BUNDLE_VERSION $QTERM_VERSION)
   SET (MACOSX_BUNDLE_ICON_FILE QTerm.icns)
ELSE(APPLE)
   SET (PROGRAME qterm)
ENDIF(APPLE)

include("package.cmake")
add_subdirectory(src)
add_subdirectory(icons)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)
if (NOT TARGET uninstall)
    add_custom_target(uninstall
      "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif(NOT TARGET uninstall)
feature_summary(WHAT ALL)

=== debian/changelog ===
qterm (1:0.7.1-1) unstable; urgency=medium

  * New maintainer. (Closes: #841821)
  * ACK previous NMU. Thanks!
  * New upstream release.
    - Switch to new upstream.
    - Add support to OpenSSL 1.1.0. (Closes: #828524)
  * Put package under Debian Chinese Team.
    - Remove LI Daobing from maintainer list.
      Thank you for all your contribution!
    - Add myself onto uploaders list.
  * Switch from cdbs to dh/debhelper buildsystem.
  * Rewrite copyright file with machine-readable format.
  * Bump debhelper compat v7 -> v10.
  * Bump standard version to 3.9.8.
  * Remove obsolete menu file.
  * Remove obsolete xpm icons.
  * Add a patch to cherry-pick upstream license change.
    - Fixes gpl-openssl license issue.
    - Update d/copyright file.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 03 Jan 2017 20:25:40 +0800

qterm (1:0.5.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc6, using patch from OpenSuSe (Closes: #831093)
  * Remove Yu Guanghui from Uploaders, thanks for all the contributions!
    (Closes: #629018)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Oct 2016 21:34:19 +0200

=== debian/control ===
Source: qterm
Section: x11
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 10~),
 cmake,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 qtscript5-dev,
 qtmultimedia5-dev,
 libssl-dev,
 libdbusmenu-qt5-dev,
 libphonon4qt5-dev,
 qt5keychain-dev,
 libkf5wallet-dev,
 libqt5sql5-sqlite,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/chinese/qterm.git
Vcs-Git: https://anonscm.debian.org/git/chinese/qterm.git
Homepage: https://github.com/qterm/qterm

Package: qterm
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: BBS client for X Window System written in Qt
 QTerm is a BBS client for X Window System. It supports telnet, ssh1 and ssh2
 protocols. It also supports zmodem, URL detect, mouse action.
 .
 It also supports detecting location from ip address, but you need do some
 extra work, see README.Debian.
